p = Parea(api_key="PAREA_API_KEY") # replace with your API key
def main() -> UseDeployedPromptResponse:
return p.get_prompt(
UseDeployedPrompt(
deployment_id="p-qZrnFesaeCpqcXJ_yL3wi",
llm_inputs={"x": "Python", "y": "Flask"},
)
)
const p = new Parea("PAREA_API_KEY"); // replace with your API key
export const main = async (): Promise<UseDeployedPromptResponse> => {
return await p.getPrompt({
deployment_id: 'p-qZrnFesaeCpqcXJ_yL3wi',
llm_inputs: {
x: "Python", y: "Flask",
},
});
};
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt' \
--header 'Content-Type: application/json' \
--header 'x-api-key: PAREA_API_KEY' \
--data '{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"llm_inputs": {"x": "Python", "y": "Flask"}
}'
{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"functions": [],
"model": "gpt-4o-mini",
"model_params": {
"frequency_penalty": 0,
"presence_penalty": 0,
"temp": 0.5,
"top_p": 1
},
"name": "hello world",
"prompt": {
"inputs": {
"x": "Python",
"y": "Flask"
},
"messages": [
{
"content": "I want a Hello World program in Python. Using the Flask framework.",
"role": "user"
}
],
"raw_messages": [
{
"content": "I want a Hello World program in {{x}}. Using the {{y}} framework.",
"role": "user"
}
]
},
"provider": "openai",
"version_number": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}LLM Proxy
Fetch Deployed Prompt
Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.
POST
/
api
/
parea
/
v1
/
deployed-prompt
p = Parea(api_key="PAREA_API_KEY") # replace with your API key
def main() -> UseDeployedPromptResponse:
return p.get_prompt(
UseDeployedPrompt(
deployment_id="p-qZrnFesaeCpqcXJ_yL3wi",
llm_inputs={"x": "Python", "y": "Flask"},
)
)
const p = new Parea("PAREA_API_KEY"); // replace with your API key
export const main = async (): Promise<UseDeployedPromptResponse> => {
return await p.getPrompt({
deployment_id: 'p-qZrnFesaeCpqcXJ_yL3wi',
llm_inputs: {
x: "Python", y: "Flask",
},
});
};
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt' \
--header 'Content-Type: application/json' \
--header 'x-api-key: PAREA_API_KEY' \
--data '{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"llm_inputs": {"x": "Python", "y": "Flask"}
}'
{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"functions": [],
"model": "gpt-4o-mini",
"model_params": {
"frequency_penalty": 0,
"presence_penalty": 0,
"temp": 0.5,
"top_p": 1
},
"name": "hello world",
"prompt": {
"inputs": {
"x": "Python",
"y": "Flask"
},
"messages": [
{
"content": "I want a Hello World program in Python. Using the Flask framework.",
"role": "user"
}
],
"raw_messages": [
{
"content": "I want a Hello World program in {{x}}. Using the {{y}} framework.",
"role": "user"
}
]
},
"provider": "openai",
"version_number": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}p = Parea(api_key="PAREA_API_KEY") # replace with your API key
def main() -> UseDeployedPromptResponse:
return p.get_prompt(
UseDeployedPrompt(
deployment_id="p-qZrnFesaeCpqcXJ_yL3wi",
llm_inputs={"x": "Python", "y": "Flask"},
)
)
const p = new Parea("PAREA_API_KEY"); // replace with your API key
export const main = async (): Promise<UseDeployedPromptResponse> => {
return await p.getPrompt({
deployment_id: 'p-qZrnFesaeCpqcXJ_yL3wi',
llm_inputs: {
x: "Python", y: "Flask",
},
});
};
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt' \
--header 'Content-Type: application/json' \
--header 'x-api-key: PAREA_API_KEY' \
--data '{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"llm_inputs": {"x": "Python", "y": "Flask"}
}'
Authorizations
APIKeyHeaderAPIKeyHeaderAPIKeyHeader
Body
application/json
Response
Successful Response
This is the ID for a deployed prompt. You can find your deployed prompts on the Deployments tab.
Version number of the deployed prompt
Name of the deployed prompt
If deployed prompt has function, these will appear as JSON strings.
If deployed prompt has a specified function call, it will appear.
The messages of the deployed prompt
Show child attributes
Show child attributes
Model name of deployed prompt
Provider name of deployed prompt
Available options:
openai, azure, anthropic, anyscale, vertexai, aws_bedrock, openrouter, mistral, litellm, groq, fireworks, cohere Model parameters of deployed prompt
Was this page helpful?

